export const state = () => ({
    show3D: false,
    showContrast: false,
    loaded2D: false,
    loaded3D: false,
    layerTreeVisible: false,
    locateCoorVisible: false,
    slopeDialogVisible: false,
    opennessVisible: false,
    contrastType: '3-1',
    contrastView: '',
    showRoller: false,
    lightShadowVisible: false,
    floodVisible: false,
    fillAndCutVisible: false,
    weatherVisible: false,
    heatingPowerVisible: false,
    s3mLayers: [] // S3M图层
});
export const getters = {
    show3D: (state) => {
        return state.show3D;
    },
    showContrast: (state) => {
        return state.showContrast;
    },
    showRoller: (state) => {
        return state.showRoller;
    },
    loaded2D: (state) => {
        return state.loaded2D;
    },
    loaded3D: (state) => {
        return state.loaded3D;
    },
    layerTreeVisible: (state) => {
        return state.layerTreeVisible;
    },
    locateCoorVisible: (state) => {
        return state.locateCoorVisible;
    },
    slopeDialogVisible: (state) => {
        return state.slopeDialogVisible;
    },
    opennessVisible: (state) => {
        return state.opennessVisible;
    },
    contrastType: (state) => {
        return state.contrastType;
    },
    contrastView: (state) => {
        return state.contrastView;
    },
    lightShadowVisible: (state) => {
        return state.lightShadowVisible;
    },
    floodVisible: (state) => {
        return state.floodVisible;
    },
    fillAndCutVisible: (state) => {
        return state.fillAndCutVisible;
    },
    weatherVisible: (state) => {
        return state.weatherVisible;
    },
    heatingPowerVisible: (state) => {
        return state.heatingPowerVisible;
    },
    s3mLayers: (state) => {
        return state.s3mLayers;
    }
};
const mutations = {
    setShow3D: (state, value) => {
        state.show3D = value;
    },
    setShowContrast: (state, value) => {
        state.showContrast = value;
    },
    setShowRoller: (state, value) => {
        state.showRoller = value;
    },
    setLoaded2D: (state, value) => {
        state.loaded2D = value;
    },
    setLoaded3D: (state, value) => {
        state.loaded3D = value;
    },
    setLayerTreeVisible: (state, value) => {
        state.layerTreeVisible = value;
    },
    setLocateCoorVisible: (state, value) => {
        state.locateCoorVisible = value;
    },
    setSlopeDialogVisible: (state, value) => {
        state.slopeDialogVisible = value;
    },
    setOpennessVisible: (state, value) => {
        state.opennessVisible = value;
    },
    setContrastType: (state, value) => {
        state.contrastType = value;
    },
    setContrastView: (state, value) => {
        state.contrastView = value;
    },
    setLightShadowVisible: (state, value) => {
        state.lightShadowVisible = value;
    },
    setFloodVisible: (state, value) => {
        state.floodVisible = value;
    },
    setFillAndCutVisible: (state, value) => {
        state.fillAndCutVisible = value;
    },
    setWeatherVisible: (state, value) => {
        state.weatherVisible = value;
    },
    setHeatingPowerVisible: (state, value) => {
        state.heatingPowerVisible = value;
    },
    setS3mLayers: (state, value) => {
        state.s3mLayers = value;
    }
};
export default {
    namespaced: true,
    state,
    getters,
    // actions,
    mutations
};
